package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 关卡类
 * @author spyn
 */
@Data
public class Level implements Serializable {
    /**
     * 关卡ID
     */
    private Long id;
    /**
     * 关卡名称
     */
    private String name;
    /**
     * 关卡类型
     * -0：拼完题设单词
     * -1：达成目标分数
     */
    private Integer type;
    /**
     * 限时（可选，毫秒数）
     */
    private Long timeLimit;
    /**
     * 目标分数（type=1时有效）
     */
    private Integer targetScore;
    /**
     * 单词列表
     */
    private List<String> words;
}
