package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 关卡结算信息类
 * @author spyn
 */
@Data
public class ScoreInfo implements Serializable {
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 关卡ID
     */
    private Long levelId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 分数
     */
    private Integer score;
    /**
     * 时间（UNIX时间戳）
     */
    private Long time;
}
